image: docker:stable

services:
  - docker:dind

before_script:
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
    stage: build
    rules:
        - if: "$REVIEWDOGVERSION"
          when: never
        - when: on_success
    script:
        - docker build --no-cache --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME .
        - docker push $CI_REGISTRY_IMAGE

build_version:
    stage: build
    rules:
        - if: "$REVIEWDOGVERSION"
          when: on_success
        - when: never
    script:
        - docker build --no-cache  --build-arg REVIEWDOGVERSION=$REVIEWDOGVERSION --tag $CI_REGISTRY_IMAGE:$REVIEWDOGVERSION .
        - docker push $CI_REGISTRY_IMAGE